import java.util.Map;

import org.apache.commons.collections.map.HashedMap;
import org.junit.*;
import org.junit.Before;

import play.test.*;
import play.mvc.*;
import play.mvc.Http.*;
import models.*;

public class ApplicationTest extends FunctionalTest {

	@Before
	public void setup(){
		Fixtures.deleteAllModels();
	}
	
    @Test
    public void testGetTotalPostCount() {
    	//assert
    	Response before = GET("/post/total");
        assertEquals(before.out.toString(), "{\"result\":\"0\"}");
    	
    	//Given
    	Map<String, String> request = new HashedMap();
    	request.put("message", "안녕하세요?");
    	
    	//When
    	POST("/post", request);
    	
    	//Then
        Response response = GET("/post/total");
        assertIsOk(response);
        assertContentType("application/json", response);
        assertCharset("utf-8", response);
        assertEquals(response.out.toString(), "{\"result\":\"1\"}");
    }
    
}